type RouteType = Array<{
  component?: string | undefined;
  layout?: false | undefined;
  path?: string | undefined;
  redirect?: string | undefined;
  routes?: RouteType;
  wrappers?: Array<string> | undefined;
}>;

const router: RouteType = [
  {
    path: '/',
    routes: [
      {
        path: '/home',
        component: './Home',
        redirect: '/home/urbanSituation',
      },
      {
        path: '/home/industryOperation',
        component: './IndustryOperation',
      },
      {
        path: '/home/urbanSituation',
        component: './UrbanSituation',
      },
      {
        path: '/home/theOperationOfTheDistrictCityAndCounty',
        component: './TheOperationOfTheDistrictCityAndCounty',
      },
      {
        path: '/home/urbanManagementOperationOverallSituation',
        component: './TheOperationOfCityOverall',
      },
      {
        path: '/home/urbanSecuritySituation',
        component: './UrbanSecuritySituation',
      },
      {
        path: '/home/peopleComplain',
        component: './PeopleComplain',
      },
      {
        path: '/home/urbanManagementResourceElements',
        component: './UrbanManagementResourceElements',
      },
    ],
  },
  {
    path: '/*',
    component: './404',
    // layout: false,
  },
];

export default router;
